#include <iostream>
#include <string>
using namespace std;

int main(){
    int x,y;
    cin>>x;
    cin>>y;
    int brx=0;
    int bry=0;
    int x1,y1,spojen;
    string s,s1,s2;
    int px=x;
    int py=y;
    while (px!=0)
    {
        px=px/10;
        brx++;
    }
    while (py!=0)
    {
        py=py/10;
        bry++;
    }
    if (x>y)
    {
        for (int i=0;i<brx;i++)
        x1=x%10;
        y1=y%10;
        s1=to_string(x1);
        s2=to_string(y1);
        if (x1>y1)
        s=s1+s2+s;
        else
        s=s+s2+s1;
        x=x/10;
        y=y/10;
    }
    else
    {
        for (int i=0;i<bry;i++)
        x1=x%10;
        y1=y%10;
        s1=to_string(x1);
        s2=to_string(y1);
        if (x1>y1)
        s=s+s1+s2;
        else
        s=s2+s1+s;
        x=x/10;
        y=y/10;

    }
    spojen=stoi(s);
    cout<<spojen;
}